Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud DNS
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Move
        • Delete
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ResourceConfig
  1. API reference
  2. REST
  3. DnsFirewall
  4. Get

Cloud DNS API, REST: DnsFirewall.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • ResourceConfig

Returns the specified DNS firewall.
To get the list of all available DNS firewalls, make a List request.

HTTP requestHTTP request

GET https://dns.api.cloud.yandex.net/dns/v1/firewalls/{dnsFirewallId}

Path parametersPath parameters

Field

Description

dnsFirewallId

string

Required field. ID of the DNS firewall to return.
To get a DNS firewall ID, make a DnsFirewallService.List request.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "deletionProtection": "boolean",
  "enabled": "boolean",
  "resourceConfig": {
    "type": "string",
    "resourceIds": [
      "string"
    ],
    "lockingPolicyEnabled": "boolean"
  },
  "whitelistFqdns": [
    "string"
  ],
  "blacklistFqdns": [
    "string"
  ]
}

A DNS firewall. For details about the concept, see DNS firewalls.

Field

Description

id

string

ID of the DNS firewall. Generated at creation time.

folderId

string

ID of the folder that the DNS firewall belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the DNS firewall.
The name is unique within the folder.

description

string

Description of the DNS firewall.

labels

object (map<string, string>)

DNS firewall labels as key:value pairs.

deletionProtection

boolean

Prevents accidental firewall removal.

enabled

boolean

Whether the DNS firewall is enabled.

resourceConfig

ResourceConfig

Resource settings.
Specifies resources that the DNS firewall applies to.

whitelistFqdns[]

string

List of FQDNs that the DNS firewall allows to pass.

The maximum string length in characters for each value is 255. The maximum number of elements is 255.

blacklistFqdns[]

string

List of FQDNs that the DNS firewall blocks.

The maximum string length in characters for each value is 255. The maximum number of elements is 255.

ResourceConfigResourceConfig

Field

Description

type

enum (ResourceType)

Type of the resource.

  • NETWORK: VPC network resource type.
  • FOLDER: Folder resource type.
  • CLOUD: Cloud resource type.

resourceIds[]

string

Resource ids.

The maximum string length in characters for each value is 64. The number of elements must be in the range 0-100.

lockingPolicyEnabled

boolean

Whether the locking policy is enabled.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.